Skip to main content
`Ctrl`+`K`

# to_agraph

to_agraph(N)

  Returns a pygraphviz graph from a NetworkX graph N.

  Parameters:
    N NetworkX graph

      A graph created with NetworkX

  Notes

  If N has an dict N.graph_attr an attempt will be made first to copy properties attached to the graph (see from_agraph) and then updated with the calling arguments if any.

  Examples

      >>> K5 = nx.complete_graph(5)
      >>> A = nx.nx_agraph.to_agraph(K5)